package com.steerinfo.route.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="收货实绩子表")
public class TmstruckReceiptResultChild implements IBasePO<BigDecimal> {
    /**
     * 主键ID(CHILD_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal childId;

    /**
     * 收货实绩ID(RECEIPT_RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="收货实绩ID",required=false)
    private BigDecimal receiptResultId;

    /**
     * 其他照片1(OTHER_PHOTO1,VARCHAR,100)
     */
    @ApiModelProperty(value="其他照片1",required=false)
    private String otherPhoto1;

    /**
     * 其他照片2(OTHER_PHOTO2,VARCHAR,100)
     */
    @ApiModelProperty(value="其他照片2",required=false)
    private String otherPhoto2;

    /**
     * 其他照片3(OTHER_PHOTO3,VARCHAR,100)
     */
    @ApiModelProperty(value="其他照片3",required=false)
    private String otherPhoto3;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.childId;
    }

    @Override
    public void setId(BigDecimal childId) {
        this.childId = childId;
    }

    public BigDecimal getChildId() {
        return childId;
    }

    public void setChildId(BigDecimal childId) {
        this.childId = childId;
    }

    public BigDecimal getReceiptResultId() {
        return receiptResultId;
    }

    public void setReceiptResultId(BigDecimal receiptResultId) {
        this.receiptResultId = receiptResultId;
    }

    public String getOtherPhoto1() {
        return otherPhoto1;
    }

    public void setOtherPhoto1(String otherPhoto1) {
        this.otherPhoto1 = otherPhoto1 == null ? null : otherPhoto1.trim();
    }

    public String getOtherPhoto2() {
        return otherPhoto2;
    }

    public void setOtherPhoto2(String otherPhoto2) {
        this.otherPhoto2 = otherPhoto2 == null ? null : otherPhoto2.trim();
    }

    public String getOtherPhoto3() {
        return otherPhoto3;
    }

    public void setOtherPhoto3(String otherPhoto3) {
        this.otherPhoto3 = otherPhoto3 == null ? null : otherPhoto3.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", childId=").append(childId);
        sb.append(", receiptResultId=").append(receiptResultId);
        sb.append(", otherPhoto1=").append(otherPhoto1);
        sb.append(", otherPhoto2=").append(otherPhoto2);
        sb.append(", otherPhoto3=").append(otherPhoto3);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}